Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
n2mfc
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Tue Oct 06, 2020 1:01 pm

Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by n2mfc » Wed Oct 07, 2020 2:07 pm

Hi,

Newbie here, just set up my first site and trying to get things running smoothly before I go live. I'm receiving the warning in the subject line in the control panel. My Synology NAS has PHP 7.4 associated with Joomla and I'm running Joomla version 3.9.22. My system information is below and it says I am using PHP 7.2.29 but when I run the forum post assistant in shows that PHP configuration is using 7.4.9. That's a bit confusing.

Is this something I need to fix? If so, how? I have Wordpress running on the same server and it is using PHP 7.4 without me needing to do anything special.

Thanks,

Dan

System Information
Setting Value

PHP Built On Linux Roman_NAS 4.4.59+ #25426 SMP PREEMPT Wed Jul 8 03:21:29 CST 2020 x86_64
Database Type mysql
Database Version 5.5.5-10.3.21-MariaDB
Database Collation utf8_general_ci
Database Connection Collation utf8mb4_general_ci
PHP Version 7.2.29
Web Server Apache/2.2.34 (Unix) mod_fastcgi/mod_fastcgi-SNAP-0910052141
WebServer to PHP Interface fpm-fcgi
Joomla! Version Joomla! 3.9.22 Stable [ Amani ] 6-October-2020 15:00 GMT
Joomla! Platform Version Joomla Platform 13.1.0 Stable [ Curiosity ] 24-Apr-2013 00:00 GMT
User Agent Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/85.0.4183.121 Safari/537.36

Forum Post Assistant (v1.6.1) : 7-Oct-2020 wrote:
Problem Description :: wrote:Older PHP version 7.2
Log/Error Message :: wrote:Your site is currently using PHP 7.2.29. This version of PHP has entered its “Security maintenance” phase since Saturday, 30 November 2019 and has stopped receiving bug fixes. It will stop receiving security updates on Monday, 30 November 2020 at which point it will be unsuitable for use on a live site.
Actions Taken To Resolve wrote:Updated to the latest version of Joomla. My web server has PHP 7.4 associated with Joomla.
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.22-Stable (Amani) 6-October-2020
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Read-Only (444) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: false | .htaccess/web.config: No | GZip: false | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: false | SSL: 0 | Error Reporting: default | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.22: Yes | Database Supports J! 3.9.22: Unknown | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 4.4.59+ | Technology: x86_64 | Web Server: Apache/2.2.34 (Unix) mod_fastcgi/mod_fastcgi-SNAP-0910052141 | Encoding: gzip, deflate, br | System TMP Writable: Yes | Free Disk Space : 1035.83 GiB |

PHP Configuration :: Version: 7.4.9 | PHP API: fpm-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 22519 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 32M | Max. POST Size: 32M | Max. Input Time: 60 | Max. Execution Time: 240 | Memory Limit: 128M

Database Configuration :: Connection Error: 2002:Connection refusedUser Privileges : Unknown
Detailed Environment :: wrote:PHP Extensions :: Core (7.4.9) | date (7.4.9) | libxml (7.4.9) | pcre (7.4.9) | ctype (7.4.9) | dom (20031129) | fileinfo (7.4.9) | filter (7.4.9) | hash (7.4.9) | json (7.4.9) | mbstring (7.4.9) | pcntl (7.4.9) | SPL (7.4.9) | PDO (7.4.9) | readline (7.4.9) | Reflection (7.4.9) | session (7.4.9) | SimpleXML (7.4.9) | standard (7.4.9) | tokenizer (7.4.9) | xml (7.4.9) | xmlreader (7.4.9) | xmlwriter (7.4.9) | mysqlnd (mysqlnd 7.4.9) | cgi-fcgi (7.4.9) | apcu (5.1.17) | bcmath (7.4.9) | bz2 (7.4.9) | calendar (7.4.9) | curl (7.4.9) | dba (7.4.9) | exif (7.4.9) | ftp (7.4.9) | gd (7.4.9) | gettext (7.4.9) | gmp (7.4.9) | iconv (7.4.9) | imagick (3.4.4) | imap (7.4.9) | intl (7.4.9) | ldap (7.4.9) | mailparse (3.0.3-dev) | mysqli (7.4.9) | openssl (7.4.9) | pdo_dblib (7.4.9) | pdo_mysql (7.4.9) | pdo_pgsql (7.4.9) | pdo_sqlite (7.4.9) | pgsql (7.4.9) | zlib (7.4.9) | posix (7.4.9) | shmop (7.4.9) | soap (7.4.9) | sockets (7.4.9) | sodium (7.4.9) | sqlite3 (7.4.9) | ssh2 (1.1.2) | sysvmsg (7.4.9) | sysvsem (7.4.9) | sysvshm (7.4.9) | xmlrpc (7.4.9) | xsl (7.4.9) | Phar (7.4.9) | Zend OPcache (7.4.9) | Zend Engine (3.4.0) |
Potential Missing Extensions :: zip |

Switch User Environment :: PHP CGI: No | Server SU: No | PHP SU: No | Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (---) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) ::
Extensions Discovered :: wrote:Components :: Site ::
Core :: com_mailto (3.0.0) ? | com_wrapper (3.0.0) ? |
3rd Party:: kunena_tmpl_crypsis (5.1.19) ? | kunena_tmpl_crypsisb3 (5.1.19) ? |

Components :: Admin ::
Core :: com_categories (3.0.0) ? | com_languages (3.0.0) ? | com_plugins (3.0.0) ? | com_ajax (3.2.0) ? | com_config (3.0.0) ? | com_users (3.0.0) ? | com_fields (3.7.0) ? | com_templates (3.0.0) ? | com_cache (3.0.0) ? | com_redirect (3.0.0) ? | com_admin (3.0.0) ? | com_checkin (3.0.0) ? | com_menus (3.0.0) ? | com_actionlogs (3.9.0) ? | com_associations (3.7.0) ? | com_installer (3.0.0) ? | com_postinstall (3.2.0) ? | com_media (3.0.0) ? | com_cpanel (3.0.0) ? | com_contenthistory (3.2.0) ? | com_messages (3.0.0) ? | com_modules (3.0.0) ? | com_joomlaupdate (3.6.2) ? | com_tags (3.1.0) ? | com_newsfeeds (3.0.0) ? | com_search (3.0.0) ? | com_login (3.0.0) ? | com_banners (3.0.0) ? | com_finder (3.0.0) ? | com_content (3.0.0) ? | com_privacy (3.9.0) ? | com_weblinks (3.7.0) ? |
3rd Party:: plg_finder_kunena (5.1.19) ? | plg_kunena_altauserpoints (5.1.19) ? | plg_kunena_community (5.1.19) ? | plg_kunena_comprofiler (5.1.19) ? | PLG_KUNENA_EASYBLOG (0.0.1) ? | PLG_KUNENA_EASYPROFILE (5.1.19) ? | plg_kunena_easysocial (5.1.19) ? | plg_kunena_finder (5.1.19) ? | plg_kunena_gravatar (5.1.19) ? | plg_kunena_joomla (5.1.19) ? | plg_kunena_kunena (5.1.19) ? | plg_kunena_uddeim (5.1.19) ? | com_kunena (5.1.19) ? | Akeeba (7.3.2.1) ? |

Modules :: Site ::
Core :: mod_finder (3.0.0) ? | mod_whosonline (3.0.0) ? | mod_custom (3.0.0) ? | mod_articles_categories (3.0.0) ? | mod_tags_similar (3.1.0) ? | mod_feed (3.0.0) ? | mod_wrapper (3.0.0) ? | mod_articles_latest (3.0.0) ? | mod_random_image (3.0.0) ? | mod_footer (3.0.0) ? | mod_breadcrumbs (3.0.0) ? | mod_banners (3.0.0) ? | mod_related_items (3.0.0) ? | mod_syndicate (3.0.0) ? | mod_stats (3.0.0) ? | mod_articles_category (3.0.0) ? | mod_articles_popular (3.0.0) ? | mod_menu (3.0.0) ? | mod_search (3.0.0) ? | mod_users_latest (3.0.0) ? | mod_tags_popular (3.1.0) ? | mod_languages (3.5.0) ? | mod_articles_archive (3.0.0) ? | mod_login (3.0.0) ? | mod_articles_news (3.0.0) ? | mod_weblinks (3.7.0) ? |
3rd Party:: Photo Station (1.0.3) ? |

Modules :: Admin ::
Core :: mod_title (3.0.0) ? | mod_privacy_dashboard (3.9.0) ? | mod_sampledata (3.8.0) ? | mod_custom (3.0.0) ? | mod_status (3.0.0) ? | mod_feed (3.0.0) ? | mod_submenu (3.0.0) ? | mod_latestactions (3.9.0) ? | mod_stats_admin (3.0.0) ? | mod_quickicon (3.0.0) ? | mod_version (3.0.0) ? | mod_logged (3.0.0) ? | mod_menu (3.0.0) ? | mod_toolbar (3.0.0) ? | mod_multilangstatus (3.0.0) ? | mod_popular (3.0.0) ? | mod_login (3.0.0) ? | mod_latest (3.0.0) ? |
3rd Party::

Libraries ::
Core ::
3rd Party:: file_fof30 (3.6.2) ? |

Plugins ::
Core :: plg_editors-xtd_article (3.0.0) ? | plg_editors-xtd_image (3.0.0) ? | plg_editors-xtd_fields (3.7.0) ? | plg_editors-xtd_readmore (3.0.0) ? | plg_editors-xtd_module (3.5.0) ? | plg_editors-xtd_menu (3.7.0) ? | plg_editors-xtd_pagebreak (3.0.0) ? | plg_editors-xtd_weblink (3.7.0) ? | plg_quickicon_joomlaupdate (3.0.0) ? | plg_quickicon_extensionupdate (3.0.0) ? | plg_quickicon_phpversioncheck (3.7.0) ? | plg_quickicon_privacycheck (3.9.0) ? | plg_finder_categories (3.0.0) ? | plg_finder_contacts (3.0.0) ? | plg_finder_content (3.0.0) ? | plg_finder_newsfeeds (3.0.0) ? | plg_finder_tags (3.0.0) ? | plg_finder_weblinks (3.7.0) ? | plg_search_categories (3.0.0) ? | plg_search_contacts (3.0.0) ? | plg_search_content (3.0.0) ? | plg_search_newsfeeds (3.0.0) ? | plg_search_tags (3.0.0) ? | plg_search_weblinks (3.7.0) ? | plg_user_contactcreator (3.0.0) ? | plg_user_joomla (3.0.0) ? | plg_user_terms (3.9.0) ? | plg_user_profile (3.0.0) ? | plg_fields_text (3.7.0) ? | plg_fields_media (3.7.0) ? | plg_fields_sql (3.7.0) ? | plg_fields_radio (3.7.0) ? | plg_fields_user (3.7.0) ? | plg_fields_integer (3.7.0) ? | plg_fields_checkboxes (3.7.0) ? | plg_fields_url (3.7.0) ? | plg_fields_list (3.7.0) ? | plg_fields_imagelist (3.7.0) ? | plg_fields_color (3.7.0) ? | plg_fields_repeatable (3.9.0) ? | plg_fields_editor (3.7.0) ? | plg_fields_usergrouplist (3.7.0) ? | plg_fields_calendar (3.7.0) ? | plg_fields_textarea (3.7.0) ? | PLG_INSTALLER_URLINSTALLER (3.6.0) ? | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) ? | plg_installer_packageinstaller (3.6.0) ? | plg_captcha_recaptcha (3.4.0) ? | plg_captcha_recaptcha_invisible (3.8) ? | plg_authentication_joomla (3.0.0) ? | plg_authentication_gmail (3.0.0) ? | plg_authentication_ldap (3.0.0) ? | plg_authentication_cookie (3.0.0) ? | plg_content_joomla (3.0.0) ? | plg_content_pagenavigation (3.0.0) ? | plg_content_finder (3.0.0) ? | plg_content_fields (3.7.0) ? | plg_content_loadmodule (3.0.0) ? | plg_content_vote (3.0.0) ? | plg_content_confirmconsent (3.9.0) ? | plg_content_emailcloak (3.0.0) ? | plg_content_pagebreak (3.0.0) ? | PLG_ACTIONLOG_JOOMLA (3.9.0) ? | plg_privacy_consents (3.9.0) ? | plg_privacy_user (3.9.0) ? | plg_privacy_message (3.9.0) ? | plg_privacy_content (3.9.0) ? | plg_privacy_actionlogs (3.9.0) ? | plg_twofactorauth_totp (3.2.0) ? | plg_twofactorauth_yubikey (3.2.0) ? | plg_system_cache (3.0.0) ? | plg_system_languagefilter (3.0.0) ? | plg_system_sef (3.0.0) ? | plg_system_redirect (3.0.0) ? | plg_system_logrotation (3.9.0) ? | plg_system_highlight (3.0.0) ? | plg_system_log (3.0.0) ? | plg_system_stats (3.5.0) ? | plg_system_fields (3.7.0) ? | plg_system_remember (3.0.0) ? | plg_system_p3p (3.0.0) ? | plg_system_updatenotification (3.5.0) ? | plg_system_privacyconsent (3.9.0) ? | PLG_SYSTEM_ACTIONLOGS (3.9.0) ? | plg_system_debug (3.0.0) ? | plg_system_sessiongc (3.8.6) ? | plg_system_languagecode (3.0.0) ? | plg_system_logout (3.0.0) ? | plg_system_weblinks (3.7.0) ? | plg_extension_joomla (3.0.0) ? |
3rd Party:: plg_quickicon_kunena (5.1.19) ? | plg_quickicon_akeebabackup (7.3.2.1) ? | plg_finder_kunena (5.1.19) ? | PLG_ACTIONLOG_AKEEBABACKUP (7.3.2.1) ? | plg_editors_tinymce (4.5.12) ? | plg_editors_codemirror (5.56.0) ? | plg_system_kunena (5.1.19) ? | PLG_SYSTEM_AKEEBAUPDATECHECK (7.3.0) ? | PLG_SYSTEM_BACKUPONUPDATE (7.3.2.1) ? | plg_kunena_altauserpoints (5.1.19) ? | plg_kunena_community (5.1.19) ? | plg_kunena_comprofiler (5.1.19) ? | PLG_KUNENA_EASYPROFILE (5.1.19) ? | plg_kunena_easysocial (5.1.19) ? | plg_kunena_gravatar (5.1.19) ? | plg_kunena_uddeim (5.1.19) ? | plg_kunena_kunena (5.1.19) ? | plg_kunena_joomla (5.1.19) ? | plg_kunena_finder (5.1.19) ? |
Templates Discovered :: wrote:Templates :: Site :: beez5 (2.5.0) ? | atomic (2.5.0) ? | beez_20 (2.5.0) ? | beez3 (3.1.0) ? | protostar (1.0) ? |
Templates :: Admin :: hathor (3.0.0) ? | isis (1.0) ? |

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 39210
Joined: Sat Apr 05, 2008 9:58 pm

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by Webdongle » Wed Oct 07, 2020 2:18 pm

Check the Privileges of your database user
Look in the next folder up from your site root for htaccess and see if there is reference to php version.
Check for a local php.ini file
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein.

n2mfc
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Tue Oct 06, 2020 1:01 pm

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by n2mfc » Wed Oct 28, 2020 4:15 pm

Thanks Webdongle. The database user is root, there is nothing in the joomla htaccess with regards to the PHP version, and I could not find a php.ini in the entire joomla folder structure. My webserver configuration is set to PHP 7.4 but for some reason joomla is not using it. I have Wordpress installed and it is using 7.4. The linkage may be somewhere in the operating system and web server structure.

I contacted my NAS vendor and they pointed at joomla so I am stuck.

I am reluctant to try to uninstall Joomla and start over to see if it uses PHP 7.4 because I am not comfortable with backing up and completely restoring my website at this point.

Dan

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 39210
Joined: Sat Apr 05, 2008 9:58 pm

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by Webdongle » Wed Oct 28, 2020 6:11 pm

php declaration in a .htaccess or php.ini in Joomla's /administrator folder would cause Jommla to show a different php version that the fpa (running from Joomla root) than Joomla admin shows.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein.

n2mfc
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Tue Oct 06, 2020 1:01 pm

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by n2mfc » Fri Oct 30, 2020 12:06 am

Well, in case someone else is interested in this thread the htaccess and php.ini in the Joomla folders do not reference any PHP version. There must be something deep inside the NAS configurations that are overriding the graphical interface settings...

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 27296
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by Per Yngve Berg » Fri Oct 30, 2020 8:30 am

In System Information in Joomla, it will tell you where php.ini is loaded from.

User avatar
abernyte
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3907
Joined: Fri May 15, 2009 2:01 pm
Location: Écosse - Scozia - Escocia - Škotija -स्कॉटलैंड

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by abernyte » Fri Oct 30, 2020 3:38 pm

You are not connecting to the database according to the FPA. Error 2002 is a MySQL issue - try checking the path to the Synology MySQL socket.
Webstation > PHP Settings > CORE
Scroll down until you find MySQLi.default_socket. The value might be /run/mysqld/mysqld.sock
Change this manually to: /run/mysqld/mysqld10.sock
What we obtain too cheap, we esteem too lightly…Thomas Paine

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 27296
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by Per Yngve Berg » Fri Oct 30, 2020 5:00 pm

n2mfc wrote:
Wed Oct 28, 2020 4:15 pm
The database user is root
Don't use root. Create a database user and give the user a password.

n2mfc
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Tue Oct 06, 2020 1:01 pm

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by n2mfc » Sun Nov 01, 2020 7:25 pm

Per Yngve Berg wrote:
Fri Oct 30, 2020 8:30 am
In System Information in Joomla, it will tell you where php.ini is loaded from.
It is pointing to /usr/local/etc/php72/cli, so even though Webstation is configured for it to use 7.4, the Joomla config is pointing to 7.2. How do I change Joomla to use 7.4?

n2mfc
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Tue Oct 06, 2020 1:01 pm

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by n2mfc » Sun Nov 01, 2020 8:04 pm

Per Yngve Berg wrote:
Fri Oct 30, 2020 5:00 pm
n2mfc wrote:
Wed Oct 28, 2020 4:15 pm
The database user is root
Don't use root. Create a database user and give the user a password.
On my NAS using MariaDB 10 it only asks me to configure a password, it does not give me the option to select a user name other than the default root in the MariaDB 10 User Account and Database configuration of the NAS. Is there a Joomla-specific user and password?

n2mfc
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Tue Oct 06, 2020 1:01 pm

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by n2mfc » Sun Nov 01, 2020 8:29 pm

abernyte wrote:
Fri Oct 30, 2020 3:38 pm
You are not connecting to the database according to the FPA. Error 2002 is a MySQL issue - try checking the path to the Synology MySQL socket.
Webstation > PHP Settings > CORE
Scroll down until you find MySQLi.default_socket. The value might be /run/mysqld/mysqld.sock
Change this manually to: /run/mysqld/mysqld10.sock
Made this change but it did not appear to have any effect. I really don't understand why Joomla is complaining about 7.2.29 while basic environment and detailed environment are reporting PHP 7.4.9. I restarted the NAS and verified that webstation is pointed to PHP 7.4.
Forum Post Assistant (v1.6.1) : 1-Nov-2020 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.22-Stable (Amani) 6-October-2020
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Read-Only (444) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: false | .htaccess/web.config: No | GZip: false | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: false | SSL: 0 | Error Reporting: default | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.22: Yes | Database Supports J! 3.9.22: Unknown | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 4.4.59+ | Technology: x86_64 | Web Server: Apache/2.2.34 (Unix) mod_fastcgi/mod_fastcgi-SNAP-0910052141 | Encoding: gzip, deflate, br | System TMP Writable: Yes | Free Disk Space : 1033.09 GiB |

PHP Configuration :: Version: 7.4.9 | PHP API: fpm-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 22519 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 32M | Max. POST Size: 32M | Max. Input Time: 60 | Max. Execution Time: 240 | Memory Limit: 128M

Database Configuration :: Connection Error: 2002:Connection refusedUser Privileges : Unknown
Detailed Environment :: wrote:PHP Extensions :: Core (7.4.9) | date (7.4.9) | libxml (7.4.9) | pcre (7.4.9) | ctype (7.4.9) | dom (20031129) | fileinfo (7.4.9) | filter (7.4.9) | hash (7.4.9) | json (7.4.9) | mbstring (7.4.9) | pcntl (7.4.9) | SPL (7.4.9) | PDO (7.4.9) | readline (7.4.9) | Reflection (7.4.9) | session (7.4.9) | SimpleXML (7.4.9) | standard (7.4.9) | tokenizer (7.4.9) | xml (7.4.9) | xmlreader (7.4.9) | xmlwriter (7.4.9) | mysqlnd (mysqlnd 7.4.9) | cgi-fcgi (7.4.9) | apcu (5.1.17) | bcmath (7.4.9) | bz2 (7.4.9) | calendar (7.4.9) | curl (7.4.9) | dba (7.4.9) | exif (7.4.9) | ftp (7.4.9) | gd (7.4.9) | gettext (7.4.9) | gmp (7.4.9) | iconv (7.4.9) | imagick (3.4.4) | imap (7.4.9) | intl (7.4.9) | ldap (7.4.9) | mailparse (3.0.3-dev) | mysqli (7.4.9) | openssl (7.4.9) | pdo_dblib (7.4.9) | pdo_mysql (7.4.9) | pdo_pgsql (7.4.9) | pdo_sqlite (7.4.9) | pgsql (7.4.9) | zlib (7.4.9) | posix (7.4.9) | shmop (7.4.9) | soap (7.4.9) | sockets (7.4.9) | sodium (7.4.9) | sqlite3 (7.4.9) | ssh2 (1.1.2) | sysvmsg (7.4.9) | sysvsem (7.4.9) | sysvshm (7.4.9) | xmlrpc (7.4.9) | xsl (7.4.9) | Phar (7.4.9) | Zend OPcache (7.4.9) | Zend Engine (3.4.0) |
Potential Missing Extensions :: zip |

Switch User Environment :: PHP CGI: No | Server SU: No | PHP SU: No | Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (---) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) ::
Extensions Discovered :: wrote:Components :: Site ::
Core :: com_mailto (3.0.0) ? | com_wrapper (3.0.0) ? |
3rd Party:: kunena_tmpl_crypsis (5.1.19) ? | kunena_tmpl_crypsisb3 (5.1.19) ? |

Components :: Admin ::
Core :: com_categories (3.0.0) ? | com_languages (3.0.0) ? | com_plugins (3.0.0) ? | com_ajax (3.2.0) ? | com_config (3.0.0) ? | com_users (3.0.0) ? | com_fields (3.7.0) ? | com_templates (3.0.0) ? | com_cache (3.0.0) ? | com_redirect (3.0.0) ? | com_admin (3.0.0) ? | com_checkin (3.0.0) ? | com_menus (3.0.0) ? | com_actionlogs (3.9.0) ? | com_associations (3.7.0) ? | com_installer (3.0.0) ? | com_postinstall (3.2.0) ? | com_media (3.0.0) ? | com_cpanel (3.0.0) ? | com_contenthistory (3.2.0) ? | com_messages (3.0.0) ? | com_modules (3.0.0) ? | com_joomlaupdate (3.6.2) ? | com_tags (3.1.0) ? | com_newsfeeds (3.0.0) ? | com_search (3.0.0) ? | com_login (3.0.0) ? | com_banners (3.0.0) ? | com_finder (3.0.0) ? | com_content (3.0.0) ? | com_privacy (3.9.0) ? | com_weblinks (3.7.0) ? |
3rd Party:: plg_finder_kunena (5.1.19) ? | plg_kunena_altauserpoints (5.1.19) ? | plg_kunena_community (5.1.19) ? | plg_kunena_comprofiler (5.1.19) ? | PLG_KUNENA_EASYBLOG (0.0.1) ? | PLG_KUNENA_EASYPROFILE (5.1.19) ? | plg_kunena_easysocial (5.1.19) ? | plg_kunena_finder (5.1.19) ? | plg_kunena_gravatar (5.1.19) ? | plg_kunena_joomla (5.1.19) ? | plg_kunena_kunena (5.1.19) ? | plg_kunena_uddeim (5.1.19) ? | com_kunena (5.1.19) ? | Akeeba (7.3.2.1) ? |

Modules :: Site ::
Core :: mod_finder (3.0.0) ? | mod_whosonline (3.0.0) ? | mod_custom (3.0.0) ? | mod_articles_categories (3.0.0) ? | mod_tags_similar (3.1.0) ? | mod_feed (3.0.0) ? | mod_wrapper (3.0.0) ? | mod_articles_latest (3.0.0) ? | mod_random_image (3.0.0) ? | mod_footer (3.0.0) ? | mod_breadcrumbs (3.0.0) ? | mod_banners (3.0.0) ? | mod_related_items (3.0.0) ? | mod_syndicate (3.0.0) ? | mod_stats (3.0.0) ? | mod_articles_category (3.0.0) ? | mod_articles_popular (3.0.0) ? | mod_menu (3.0.0) ? | mod_search (3.0.0) ? | mod_users_latest (3.0.0) ? | mod_tags_popular (3.1.0) ? | mod_languages (3.5.0) ? | mod_articles_archive (3.0.0) ? | mod_login (3.0.0) ? | mod_articles_news (3.0.0) ? | mod_weblinks (3.7.0) ? |
3rd Party:: Photo Station (1.0.3) ? |

Modules :: Admin ::
Core :: mod_title (3.0.0) ? | mod_privacy_dashboard (3.9.0) ? | mod_sampledata (3.8.0) ? | mod_custom (3.0.0) ? | mod_status (3.0.0) ? | mod_feed (3.0.0) ? | mod_submenu (3.0.0) ? | mod_latestactions (3.9.0) ? | mod_stats_admin (3.0.0) ? | mod_quickicon (3.0.0) ? | mod_version (3.0.0) ? | mod_logged (3.0.0) ? | mod_menu (3.0.0) ? | mod_toolbar (3.0.0) ? | mod_multilangstatus (3.0.0) ? | mod_popular (3.0.0) ? | mod_login (3.0.0) ? | mod_latest (3.0.0) ? |
3rd Party::

Libraries ::
Core ::
3rd Party:: file_fof30 (3.6.2) ? |

Plugins ::
Core :: plg_editors-xtd_article (3.0.0) ? | plg_editors-xtd_image (3.0.0) ? | plg_editors-xtd_fields (3.7.0) ? | plg_editors-xtd_readmore (3.0.0) ? | plg_editors-xtd_module (3.5.0) ? | plg_editors-xtd_menu (3.7.0) ? | plg_editors-xtd_pagebreak (3.0.0) ? | plg_editors-xtd_weblink (3.7.0) ? | plg_quickicon_joomlaupdate (3.0.0) ? | plg_quickicon_extensionupdate (3.0.0) ? | plg_quickicon_phpversioncheck (3.7.0) ? | plg_quickicon_privacycheck (3.9.0) ? | plg_finder_categories (3.0.0) ? | plg_finder_contacts (3.0.0) ? | plg_finder_content (3.0.0) ? | plg_finder_newsfeeds (3.0.0) ? | plg_finder_tags (3.0.0) ? | plg_finder_weblinks (3.7.0) ? | plg_search_categories (3.0.0) ? | plg_search_contacts (3.0.0) ? | plg_search_content (3.0.0) ? | plg_search_newsfeeds (3.0.0) ? | plg_search_tags (3.0.0) ? | plg_search_weblinks (3.7.0) ? | plg_user_contactcreator (3.0.0) ? | plg_user_joomla (3.0.0) ? | plg_user_terms (3.9.0) ? | plg_user_profile (3.0.0) ? | plg_fields_text (3.7.0) ? | plg_fields_media (3.7.0) ? | plg_fields_sql (3.7.0) ? | plg_fields_radio (3.7.0) ? | plg_fields_user (3.7.0) ? | plg_fields_integer (3.7.0) ? | plg_fields_checkboxes (3.7.0) ? | plg_fields_url (3.7.0) ? | plg_fields_list (3.7.0) ? | plg_fields_imagelist (3.7.0) ? | plg_fields_color (3.7.0) ? | plg_fields_repeatable (3.9.0) ? | plg_fields_editor (3.7.0) ? | plg_fields_usergrouplist (3.7.0) ? | plg_fields_calendar (3.7.0) ? | plg_fields_textarea (3.7.0) ? | PLG_INSTALLER_URLINSTALLER (3.6.0) ? | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) ? | plg_installer_packageinstaller (3.6.0) ? | plg_captcha_recaptcha (3.4.0) ? | plg_captcha_recaptcha_invisible (3.8) ? | plg_authentication_joomla (3.0.0) ? | plg_authentication_gmail (3.0.0) ? | plg_authentication_ldap (3.0.0) ? | plg_authentication_cookie (3.0.0) ? | plg_content_joomla (3.0.0) ? | plg_content_pagenavigation (3.0.0) ? | plg_content_finder (3.0.0) ? | plg_content_fields (3.7.0) ? | plg_content_loadmodule (3.0.0) ? | plg_content_vote (3.0.0) ? | plg_content_confirmconsent (3.9.0) ? | plg_content_emailcloak (3.0.0) ? | plg_content_pagebreak (3.0.0) ? | PLG_ACTIONLOG_JOOMLA (3.9.0) ? | plg_privacy_consents (3.9.0) ? | plg_privacy_user (3.9.0) ? | plg_privacy_message (3.9.0) ? | plg_privacy_content (3.9.0) ? | plg_privacy_actionlogs (3.9.0) ? | plg_twofactorauth_totp (3.2.0) ? | plg_twofactorauth_yubikey (3.2.0) ? | plg_system_cache (3.0.0) ? | plg_system_languagefilter (3.0.0) ? | plg_system_sef (3.0.0) ? | plg_system_redirect (3.0.0) ? | plg_system_logrotation (3.9.0) ? | plg_system_highlight (3.0.0) ? | plg_system_log (3.0.0) ? | plg_system_stats (3.5.0) ? | plg_system_fields (3.7.0) ? | plg_system_remember (3.0.0) ? | plg_system_p3p (3.0.0) ? | plg_system_updatenotification (3.5.0) ? | plg_system_privacyconsent (3.9.0) ? | PLG_SYSTEM_ACTIONLOGS (3.9.0) ? | plg_system_debug (3.0.0) ? | plg_system_sessiongc (3.8.6) ? | plg_system_languagecode (3.0.0) ? | plg_system_logout (3.0.0) ? | plg_system_weblinks (3.7.0) ? | plg_extension_joomla (3.0.0) ? |
3rd Party:: plg_quickicon_kunena (5.1.19) ? | plg_quickicon_akeebabackup (7.3.2.1) ? | plg_finder_kunena (5.1.19) ? | PLG_ACTIONLOG_AKEEBABACKUP (7.3.2.1) ? | plg_editors_tinymce (4.5.12) ? | plg_editors_codemirror (5.56.0) ? | plg_system_kunena (5.1.19) ? | PLG_SYSTEM_AKEEBAUPDATECHECK (7.3.0) ? | PLG_SYSTEM_BACKUPONUPDATE (7.3.2.1) ? | System - Google Analytics (5.0.1) ? | plg_kunena_altauserpoints (5.1.19) ? | plg_kunena_community (5.1.19) ? | plg_kunena_comprofiler (5.1.19) ? | PLG_KUNENA_EASYPROFILE (5.1.19) ? | plg_kunena_easysocial (5.1.19) ? | plg_kunena_gravatar (5.1.19) ? | plg_kunena_uddeim (5.1.19) ? | plg_kunena_kunena (5.1.19) ? | plg_kunena_joomla (5.1.19) ? | plg_kunena_finder (5.1.19) ? |
Templates Discovered :: wrote:Templates :: Site :: beez5 (2.5.0) ? | atomic (2.5.0) ? | beez_20 (2.5.0) ? | beez3 (3.1.0) ? | protostar (1.0) ? |
Templates :: Admin :: hathor (3.0.0) ? | isis (1.0) ? |

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 6195
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Warning Your PHP version, 7.2.29, is only receiving security fixes from the PHP project at this time

Post by AMurray » Sun Nov 01, 2020 9:57 pm

n2mfc wrote:
Sun Nov 01, 2020 8:04 pm
Per Yngve Berg wrote:
Fri Oct 30, 2020 5:00 pm
n2mfc wrote:
Wed Oct 28, 2020 4:15 pm
The database user is root
Don't use root. Create a database user and give the user a password.
On my NAS using MariaDB 10 it only asks me to configure a password, it does not give me the option to select a user name other than the default root in the MariaDB 10 User Account and Database configuration of the NAS. Is there a Joomla-specific user and password?
The above discussion about passwords that was raised by @per Yngve Berg is concerning your database password (has nothing to do with Joomla). The *normal* way would be to create an appropriate database username and password, which is what is specified when installing Joomla (when it asks for the database details. The db user/pass is separate to Joomla and your administration user account.)

On a secondary note:
Templates Discovered :: wrote:
Templates :: Site :: beez5 (2.5.0) ? | atomic (2.5.0) ? | beez_20 (2.5.0) ? | beez3 (3.1.0) ? | protostar (1.0) ? |
Templates :: Admin :: hathor (3.0.0) ? | isis (1.0) ? |
It looks like your joomla update didn't work correctly and some 2.5.x remains: templates Beez5, atomic, beez20 are not Joomla 3 templates and should be removed.
Regards,
--------------------------------------------------------------
A Murray
Help you I can, yes!. Post your question, you should. Keep it on topic you must!
Use the Forc....Forum Post Assistant my young Padawan!


Post Reply

Return to “Installation Joomla! 3.x”